# Class JQuestionAnswerApi

#### Hierarchy (View Summary)

- JBaseApi
  - JQuestionAnswerApi

- Defined in jamespot-user-api/src/apis/questionAnswer/questionAnswer.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

selectResponse
unselectResponse

## Constructors

### constructor

- new JQuestionAnswerApi(jApi: JamespotUserApi): JQuestionAnswerApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JQuestionAnswerApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### selectResponse

- selectResponse(
  params: { idQuestion: number; idResponse: number },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - params: { idQuestion: number; idResponse: number }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/questionAnswer/questionAnswer.ts:7

### unselectResponse

- unselectResponse(
  params: { idQuestion: number },
  options?: { signal?: AbortSignal },
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - params: { idQuestion: number }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/questionAnswer/questionAnswer.ts:23